{% extends 'base.html' %}
{% load static %}



   
{% block css %}

   <link rel="stylesheet" type="text/css" href='{% static "story6/style.css" %}'>
   
{% endblock %}



{% block content %}


<!-- ======= Top Page Story 6 ======= -->
<section id="top_page_story6">

  <div class="container">
    <div class="row">
      <div class="col-lg-6 pt-5 pt-lg-0 order-2 order-lg-1 d-flex flex-column justify-content-center"
        data-aos="fade-up">
        <div>
          <h2 class="animasi" id="howuve"> Hi! How you've been? :D </h2>
          <h5> In this page, you can list all of your everyday activities and the participants involved on particular activities you want.  </h5>
          <h5> Thus, this section of page helps you to be more organized ! </h5>
  
          <a href="#startplease" class="btn-get-started scrollto" style="background-color: palevioletred !important; color: white !important;"> Check it out! </a>
        </div>
      </div>
      <div class="col-lg-6 order-1 order-lg-2 hero-img" data-aos="fade-left">
        <img src="{% static "story6/avatarfix.png" %}" class="img-fluid" alt="">
      </div>
    </div>
  </div>

</section><!-- End Hero -->

<h4 id="startplease"> Yuk, list kegiatanmu dengan mengisi field di bawah ini lalu klik tombol "Add Activity" :D </h4>
<br>
<br>
<br>
<form id="form" method="POST" action="/story6/post-kegiatan" enctype="multipart/form-data">
  {% csrf_token %}
  <div class="form-group">
    {{ forms.kegiatan_form.as_p }}
  </div>
  <br>
  <button type="submit" class="btn btn-purple" id="bton" style="background-color: #84E6F8 !important; color: black !important"> Add Activity </button>
</form>
</div>
<br><br>


{% for kegiatan in data.kegiatan %}
<div class="card border-dark mb-3" style="max-width: 18rem; text-align: center; margin: 0 auto;
  float: none;
  margin-bottom: 10px;">
  <div class="card-header">{{ kegiatan.nama }}</div>
  <div class="card-body text-dark">
    <h5 class="card-title"> List Peserta : </h5>
    {% for peserta in data.peserta %}
    {% if peserta.kegiatan.nama == kegiatan.nama %}
    <p class="card-text">{{ peserta.nama }}</p>
    {% endif %}
    {% endfor %}
  </div>
  <form id="form" method="POST" action="/story6/post-peserta/{{ kegiatan.id }}" enctype="multipart/form-data">
    {% csrf_token %}
    <div class="form-group">
      {{ forms.peserta_form.as_p }}
    </div>
    <br>
    <button type="submit" class="btn btn-pink" id="bton"> Add Participant </button>
  </form>
</div>
{% endfor %}



{% endblock %}

<!--
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
  integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
  integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
  integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script> -->


<!-- JQuery -->
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<!-- Bootstrap tooltips -->
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.3/js/tether.min.js"></script>
<!-- Bootstrap core JavaScript -->
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0-alpha.6/js/bootstrap.min.js"></script>
<!-- MDB core JavaScript -->
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.3.1/js/mdb.min.js"></script>

  <!-- Vendor JS Files -->
  <script src="{% static "assets/vendor/jquery/jquery.min.js" %}" ></script>
  <script src="{% static "assets/vendor/bootstrap/js/bootstrap.bundle.min.js" %}"></script>
  <script src="{% static "assets/vendor/jquery.easing/jquery.easing.min.js" %}"></script>
  <script src="{% static "assets/vendor/php-email-form/validate.js" %}"></script>
  <script src="{% static "assets/vendor/isotope-layout/isotope.pkgd.min.js" %}"></script>
  <script src="{% static "assets/vendor/venobox/venobox.min.js" %}"></script>
  <script src="{% static "assets/vendor/owl.carousel/owl.carousel.min.js" %}"></script>
  <script src="{% static "assets/vendor/aos/aos.js" %}"></script>

  <!-- Template Main JS File -->
  <script src="{% static "js/main.js" %}"></script>
  




  
</body>
</html>
